namespace efl { namespace vg { 
inline ::efl::eolian::return_traits< ::efl::VG>::type Container::child_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
    ::Efl_VG* __return_value =  ::efl_vg_container_child_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::VG>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::VG>>::type Container::children_get() const
{
   Eina_Iterator * __return_value =  ::efl_vg_container_children_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::VG>>::type>(__return_value);
}
} } 
namespace eo_cxx {
namespace efl { namespace vg { 
inline ::efl::eolian::return_traits< ::efl::VG>::type Container::child_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
    ::Efl_VG* __return_value =  ::efl_vg_container_child_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::VG>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::VG>>::type Container::children_get() const
{
   Eina_Iterator * __return_value =  ::efl_vg_container_children_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::VG>>::type>(__return_value);
}
inline efl::vg::Container::operator ::efl::vg::Container() const { return *static_cast< ::efl::vg::Container const*>(static_cast<void const*>(this)); }
inline efl::vg::Container::operator ::efl::vg::Container&() { return *static_cast< ::efl::vg::Container*>(static_cast<void*>(this)); }
inline efl::vg::Container::operator ::efl::vg::Container const&() const { return *static_cast< ::efl::vg::Container const*>(static_cast<void const*>(this)); }
} } }

